SparkFun SGP30 Library
===========================================================
 [![SparkFun Air Quality Sensor - SGP30 (Qwiic) (SEN-16531)](https://cdn.sparkfun.com/assets/parts/1/5/4/0/9/16531-SparkFun_Air_Quality_Sensor_-_SGP30__Qwiic_-05.jpg)](https://www.sparkfun.com/products/16531) 

[*SparkFun Air Quality Sensor - SGP30 (Qwiic) (SEN-16531)*](https://www.sparkfun.com/products/16531)

The SGP30 is an indoor air quality sensor equipped with an I<sup>2</sup>C interface. It outputs equivalent CO<sub>2</sub> in ppm and Total Volatile Organic Compounds (TVOC) in ppb. The sensor also gives access to its raw measurement values of Ethanol and H<sub>2</sub>. 

The SGP30 boasts high stability with low long term drift. With its continuous baseline compensation algorithm, readings stay accurate over time. You can even fine tune your readings by interfacing with an external humidity sensor to add humidity compensation.
While the CCS811 requires a burn-in of 48 hours and a run-in of 20 minutes the SGP30 is ready to go after just 15 seconds.

SparkFun labored with love to create this code. Feel like supporting open source hardware? 
Buy a [board](https://www.sparkfun.com/products/16531) from SparkFun!

Shout outs to all those folks that have helped make this library better:

* rharkes - PR to fix RHtoAbsolute missing return
* njh - Library link fix

Repository Contents
-------------------

* **/examples** - Example sketches for the library (.ino). Run these from the Arduino IDE. 
* **/src** - Source files for the library (.cpp, .h).
* **keywords.txt** - Keywords from this library that will be highlighted in the Arduino IDE. 
* **library.properties** - General library properties for the Arduino package manager. 

Documentation
--------------

* **[Installing an Arduino Library Guide](https://learn.sparkfun.com/tutorials/installing-an-arduino-library)** - Basic information on how to install an Arduino library.
* **[Product Repository](https://github.com/sparkfun/SparkFun_Air_Quality_Sensor-SGP30)** - Main repository (including hardware files)
* **[SGP30 Hookup Guide](https://learn.sparkfun.com/tutorials/sparkfun-air-quality-sensor---sgp30-qwiic-hookup-guide)** - A short hookup guide to get started with the SparkFun Air Quality Sensor - SGP30 (Qwiic)

Products that use this library
--------------
* [SEN-16531](https://www.sparkfun.com/products/16531)- SparkFun Version 1.0
* [SPX-14813](https://www.sparkfun.com/products/14813)- SparkX Version


License Information
-------------------

This product is _**open source**_! 

Please use, reuse, and modify these files as you see fit. Please maintain attribution to SparkFun Electronics and release anything derivative under the same license.

Distributed as-is; no warranty is given.

- Your friends at SparkFun.
